ru.bitel.bgbilling.modules.inet.access.event

## Class InetConnectionDeviceStateAndOptionsModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.modules.inet.access.event.InetConnectionDeviceStateAndOptionsModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetConnectionDeviceStateAndOptionsModifiedEvent
      extends Event

  Событие об изменении состояния и/или опций соединения.
  Отправляется после изменения (как физического, так и в БД), чтобы оповестить все приложения.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetConnectionDeviceStateAndOptionsModifiedEvent()`
    `` | `InetConnectionDeviceStateAndOptionsModifiedEvent(InetConnectionDeviceStateAndOptionsModifyEvent e)`
    `` | `InetConnectionDeviceStateAndOptionsModifiedEvent(int moduleId, int deviceId, int servId, long connectionId, short deviceState, java.util.Set<java.lang.Integer> optionSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getConnectionId()`
    `int` | `getDeviceId()`
    `java.util.Set<java.lang.Integer>` | `getDeviceOptions()` Если null, значит опции не менялись
    `short` | `getDeviceState()` Если равно `InetServ.STATE_NULL`, значит состояние не изменялось
    `int` | `getServId()`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetConnectionDeviceStateAndOptionsModifiedEvent

          protected InetConnectionDeviceStateAndOptionsModifiedEvent()

    - #### InetConnectionDeviceStateAndOptionsModifiedEvent

          public InetConnectionDeviceStateAndOptionsModifiedEvent(InetConnectionDeviceStateAndOptionsModifyEvent e)

    - #### InetConnectionDeviceStateAndOptionsModifiedEvent

          public InetConnectionDeviceStateAndOptionsModifiedEvent(int moduleId,
                                                                  int deviceId,
                                                                  int servId,
                                                                  long connectionId,
                                                                  short deviceState,
                                                                  java.util.Set<java.lang.Integer> optionSet)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getServId

          public int getServId()

    - #### getConnectionId

          public long getConnectionId()

    - #### getDeviceState

          public short getDeviceState()

      Если равно `InetServ.STATE_NULL`, значит состояние не изменялось
      Returns:

    - #### getDeviceOptions

          public java.util.Set<java.lang.Integer> getDeviceOptions()

      Если null, значит опции не менялись
      Returns:

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`